summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-11-05 23:43:01 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-11-05 23:43:01 -0500
commit703e8cc992ae7543b051fc3de355cddb779462eb (patch)
treebf14a55ef4245f202882c0bc5628f71147bf20ac
parenta8b9bef5de12273c20b183e5488b209d2cc60615 (diff)
downloadscripts-703e8cc992ae7543b051fc3de355cddb779462eb.tar.gz
scripts-703e8cc992ae7543b051fc3de355cddb779462eb.zip
Add preliminary commit all script
-rwxr-xr-xcommit_all_submodules23
1 files changed, 23 insertions, 0 deletions
diff --git a/commit_all_submodules b/commit_all_submodules
new file mode 100755
index 0000000..0d53c18
--- /dev/null
+++ b/commit_all_submodules
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+if [[ ! -d .git ]]; then
+ echo "This script can only be run from a top level git directory. Exiting..."
+ exit 1
+fi
+
+echo "Preparing $PWD for development use"
+if [[ $1 == "" ]]; then
+ read -p "Enter your TDE GIT username []: " -e gituser
+else
+ gituser=$1
+fi
+
+if [[ $gituser == "" ]]; then
+ gituser="anonymous"
+fi
+
+read -p "Enter your commit message []: " -e commitmessage
+
+git submodule foreach "git commit -a -m \'$commitmessage\'"
+git submodule foreach "sed -i \'s/system@scm\.trinitydesktop\.org/$gituser@scm\.trinitydesktop\.org/g\' .git/config"
+git submodule foreach "git push origin master"